Name:		hidviz
Version:	0.1.4
Release:	4%{?dist}
Summary:	A tool for in-depth analysis of USB HID devices communication
License:	GPLv3+
Group:		Applications/Engineering
URL:		https://github.com/ondrejbudai/hidviz
Source0:	http://hidviz.org/releases/%{name}-%{version}.tar.gz
Source1:	hidviz.desktop
Requires:	hicolor-icon-theme
BuildRequires:	gcc-c++, cmake, qt5-qtbase-devel, protobuf-devel, libusbx-devel
BuildRequires:	asio-devel, desktop-file-utils, ImageMagick
# Reported upstream
Patch0:		hidviz-0.1.3-system-asio.patch
# https://github.com/ondrejbudai/libhidx/pull/8
Patch1:		hidviz-0.1.4-gcc-7-compile-fix.patch

%description
Hidviz is a GUI application for in-depth analysis of USB HID class devices.

%prep
%setup -q
%patch0 -p1 -b .system-asio
%patch1 -p1 -b .gcc-7-compile-fix

%build
%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# icon not yet available, temporal hack to make and install one :)
convert hidviz/images/usb.png -resize 128x128 -background transparent \
  -compose copy -gravity center -extent 128x128 hidviz.png
install -Dpm 0644 hidviz.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/hidviz.png

# desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc README.md
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/libhid*.so*
%{_libexecdir}/libhidx_server_daemon
%{_datadir}/icons/hicolor/128x128/apps/hidviz.png
%{_datadir}/applications/hidviz.desktop

%changelog
* Wed Jun 14 2017 Orion Poplawski <orion@cora.nwra.com> - 0.1.4-4
- Rebuild for protobuf 3.3.1

* Fri May 19 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.4-3
- Added explicit requirement on hicolor-icon-theme
  Related: rhbz#1448557

* Wed May 17 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.4-2
- Minor tweaks according to review
  Related: rhbz#1448557

* Mon May 15 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.4-1
- New version

* Fri May  5 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.3-1
- New version
- Used system asio library

* Fri May  5 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.2-1
- New version

* Fri May  5 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1.1-1
- New version

* Thu May  4 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 0.1-1
- Initial release
